How can I fix the error WARNING: Ignoring deprecated option AllowSupplementaryGroups after upgrading to ClamAV 1.00?

The AllowSupplementaryGroups option was deprecated in ClamAV 1.00. If this option is present in any of your config files it will display a warning when restarting that service. Just remove the AllowSupplementaryGroups line in the following files:

Centos / RHEL / CloudLinux 7 (systemd)
/etc/clamd.d/scan.conf
/etc/freshclam.conf
/etc/mail/clamav-milter.conf

Centos / RHEL / CloudLinux 6 (sysvinit)
/etc/clamd.conf
/etc/freshclam.conf
/etc/clamav-milter.conf

Debian / Ubuntu
/etc/clamav/clamd.conf
/etc/clamav/freshclam.conf
/etc/clamav/clamav-milter.conf
  • AllowSupplementaryGroups
  • 4 Users Found This Useful
Was this answer helpful?

Related Articles

Why isn't autolearning working for me (autolearn=no) ?

Lots of people seem to be confused by the "autolearn=no" statement in the default X-Spam-Status...

I get the a 502 gateway error when clicking on the application. How can I fix this?

This can usually be fixed by just restarting the Plesk interface:/etc/init.d/psa restart

How can I fix the error: spamass-milter[27944]: Could not extract score from <> ?

When you look at your email log you see: spamass-milter[27944]: Could not extract score from...

How can I stop encrypted archives from being allowed though ClamAV?

For ClamAV 0.100 and belowUnder Warden -> Settings -> Scanning Settings -> Block...